Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034166
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-10-04 09:272016-12-16 18:38
ReporterasiermartirenaView Statuspublic 
Assigned Toasiermartirena 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision9e0a8ef21cfb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034166: Order lines with netting shipment lines shouldn't be returned

DescriptionIt shouldn't be possible to return order lines with an associated shipment line that belongs to a netting shipment.

At this moment, those shipments can be created in cancel and replace flow.
Steps To ReproduceActivate the preference to create netting shipments in cancel and replace.
Create a ticket.
Cancel and replace that ticket.
The new lines created that contains netting shipments lines can be returned in "Return from customer".
Proposed SolutionCreate a property at shipment level that indicates if the shipment is a netting shipment. Lines that contains shipment lines that belong to a netting shipment are excluded from "Return from customer".
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0034134 closedasiermartirena Retail Modules [SERQA 1866] Problems when returning products of canceled tickets 

-  Notes
(0090563)
hgbot (developer)
2016-10-14 08:39

Repository: erp/devel/pi
Changeset: 9e0a8ef21cfb2ee7bbf5c6d81b8bc148dae76b4d
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Fri Oct 14 08:38:42 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9e0a8ef21cfb2ee7bbf5c6d81b8bc148dae76b4d [^]

Fixed issue 34166: Order lines with netting shipment lines shouldn't be returned

---
M src-db/database/model/tables/M_INOUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src/org/openbravo/erpCommon/businessUtility/CancelAndReplaceUtils.java
---
(0091455)
psanjuan (manager)
2016-11-14 13:28
edited on: 2016-11-14 13:41

As F&B International Group Admin go to Preferece window.
Create a new one with below setup:
Organization = F&B España
Property = Cancel and Replace - Create netting goods Shipments
Value = Yes

Log out and Log in.

Create a sales order for F&B España, Alimentos BP.
Go to lines and add a line for "Cerveza Ale 0.5L" product, Ordered Qty = 10
Book the order. Write down sales order number = 1000379.

Go to goods shipment and create a new one for F&B España, Alimentos BP.
Select the order created above. Ship 5 units.
Complete the shipment. Write down goods shipment number = 1000395

Go back to the sales order 1000379 and press Cancel and Replace. Press Done.
Change ordered quantity to 20.
Confirm Cancel and Replace.
Write down sales order number = 10000379-1

Go to Goods Shipment window and verify that a "netting" shipment with number 1000396 has been created, and below lines:
Cerveza Ale 0.5L 5 units
Cerveza Ale 0.5L 5 units
Cerveza Ale 0.5L -10 units

Go to Return From Customer window, create a new one for F&B España, Alimentos BP. Press Pick/Edit Lines.

In the field Shipment Number enter 1000395 (first shipment). Verify that shipment is available for selection.

In the field Shipment Number enter 1000396 (netting shipment). Verify that shipment is not available for selection as it is a netting shipment.

(0091458)
psanjuan (manager)
2016-11-14 13:41

Test Plan above
Issue can be code reviewed and closed.
(0091472)
hgbot (developer)
2016-11-14 17:45

Repository: erp/devel/pi
Changeset: 9da6043d90173f35da88882990f7283ea520e9ed
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Nov 14 17:44:46 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9da6043d90173f35da88882990f7283ea520e9ed [^]

Related to issue 34166: Code review improvements

Set "Is netting shipment" field in Goods Shipment window as read only and move it to correct More Information section.

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0091473)
aferraz (developer)
2016-11-14 17:46

Code review OK
(0092506)
hudsonbot (developer)
2016-12-16 18:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092616)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-04 09:27 asiermartirena New Issue
2016-10-04 09:27 asiermartirena Assigned To => asiermartirena
2016-10-04 09:27 asiermartirena Modules => Core
2016-10-04 09:27 asiermartirena Triggers an Emergency Pack => No
2016-10-04 09:43 asiermartirena Relationship added blocks 0034134
2016-10-14 08:39 hgbot Checkin
2016-10-14 08:39 hgbot Note Added: 0090563
2016-10-14 08:39 hgbot Status new => resolved
2016-10-14 08:39 hgbot Resolution open => fixed
2016-10-14 08:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9e0a8ef21cfb2ee7bbf5c6d81b8bc148dae76b4d [^]
2016-11-11 09:02 asiermartirena Review Assigned To => aferraz
2016-11-14 13:28 psanjuan Note Added: 0091455
2016-11-14 13:33 psanjuan Note Edited: 0091455 View Revisions
2016-11-14 13:41 psanjuan Note Edited: 0091455 View Revisions
2016-11-14 13:41 psanjuan Note Added: 0091458
2016-11-14 17:45 hgbot Checkin
2016-11-14 17:45 hgbot Note Added: 0091472
2016-11-14 17:46 aferraz Note Added: 0091473
2016-11-14 17:46 aferraz Status resolved => closed
2016-11-14 17:46 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:37 hudsonbot Checkin
2016-12-16 18:37 hudsonbot Note Added: 0092506
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092616


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker